#!/bin/bash
set -ex

lp_user="$(config-get lp_user)"
lp_email="$(config-get lp_email)"

if [ -n ${lp_user} ] && [ -n ${lp_email} ]; then
	install --owner=jenkins --group=jenkins -d \
		/var/lib/jenkins/.ssh/ \
		/var/lib/jenkins/.ssh/bazaar.launchpad.net/ \
		/var/lib/jenkins/.ssh/bazaar.launchpad.net/${lp_user} \
		/var/lib/jenkins/.bazaar

	install --owner=jenkins --group=jenkins --mode=600 \
		files/secrets/id_rsa files/secrets/id_rsa.pub \
		/var/lib/jenkins/.ssh/bazaar.launchpad.net/${lp_user}/
	install --owner=jenkins --group=jenkins \
		files/lp/config files/secrets/known_hosts \
		/var/lib/jenkins/.ssh/
	install --owner=jenkins --group=jenkins \
		files/lp/authentication.conf files/lp/bazaar.conf \
		/var/lib/jenkins/.bazaar
	install --owner=jenkins --group=jenkins \
		files/secrets/.launchpad.credentials \
		/var/lib/jenkins

	sed -i -e "s/##LP_USER##/${lp_user}/" \
	       /var/lib/jenkins/.bazaar/authentication.conf
	sed -i -e "s/##LP_USER##/${lp_user}/" \
	       -e "s/##LP_EMAIL##/${lp_email}/" \
	       /var/lib/jenkins/.bazaar/bazaar.conf
fi
